# All In One Basic Plugin

All in one basic plugin for almost everything that a basic app required.

## Getting Started

Currently only working on Android.

## Usage

platformVersion:
```
    await AllInOneBasic.platformVersion();
```

Toast:
```
    await AllInOneBasic.showToast('Your message', 'Short'); // Use 'Short' or 'Long'
```

Share:
```
    await AllInOneBasic.share('Select App'); // Use any argument of your choice
```

Check Internet:
```
    await AllInOneBasic.internet().then((isInternet) {
      if(isInternet){
        // Your Code..
      } else {
        // Your Code..
      }
    });
```

SharedPreferences (Local Storage):
```
    await AllInOneBasic.setSharedPreferencesString('key', 'value'); // Save string value
    await AllInOneBasic.setSharedPreferencesInteger('key', 'value'); // Save integer value
    await AllInOneBasic.setSharedPreferencesBoolean('key', 'value'); // Save boolean value

    await AllInOneBasic.getSharedPreferencesString('key'); // Get string value
    await AllInOneBasic.getSharedPreferencesInteger('key'); // Get integer value
    await AllInOneBasic.getSharedPreferencesBoolean('key'); // Get boolean value
```